Bug 59944 - AVFS support requested.
AVFS support requested.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-15 08:36 EST by W. Michael Petullo
Modified: 2014-03-16 22:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-15 08:36:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2002-02-15 08:36:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.0.2 (X11; Linux i686; U;) Gecko/20011226

Description of problem:
Currently, Red Hat Linux has no support built in for Miklos Szeredi's fantastic
AVFS code.  From the AVFS homepage (http://www.inf.bme.hu/~mszeredi/avfs/), AVFS is:

a system, which enables all programs to look inside gzip, tar, zip, etc. files
or view remote (ftp, http, dav, etc.) files, without recompiling the programs.

AVFS has the huge advantage over mc of allowing any program (cd, ls, etc.) to
look into different types of files.  This is a very UNIXy solution.

In addition, a gnome-vfs module could be written to take advantage of AVFS, thus
sharing code and adding functionality to both GNOME and the command line.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Try to cd into a tarball without installing non-Red Hat provided AVFS package.
	

Additional info:
Comment 1 Bill Nottingham 2002-02-25 12:37:31 EST
It requires kernel changes, and, according to the tarball:

This is alpha software, you should _NOT_INSTALL_ avfscoda on important
servers!

Avfscoda has been designed with security in mind, but it may not yet
be 100% secure. Do not install it, if local security is very important
(i.e. if you do not want a non root user to be able gain root access)!

So I don't think it will be added.

Note You need to log in before you can comment on or make changes to this bug.